services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    Shapecode\Bundle\CronBundle\Controller\:
        resource: '../../Controller/*'
        tags: [ 'controller.service_arguments' ]

    Shapecode\Bundle\CronBundle\Command\:
        resource: '../../Command/*'

    Shapecode\Bundle\CronBundle\Manager\CronJobManager: ~
    Shapecode\Bundle\CronBundle\EventListener\EntitySubscriber:
        tags: [ 'doctrine.event_subscriber' ]

    Shapecode\Bundle\CronBundle\EventListener\:
        resource: '../../EventListener/*'

    # service
    Shapecode\Bundle\CronBundle\Service\CommandHelper: ~
